Page MenuHomePhabricator

Develop vision and roadmap for Tool Labs enhancements
Closed, ResolvedPublic

Description

Collaborate on-wiki to develop a vision for enhancements designed to modernize the workflows and features provided by the Tool Labs PaaS offering. The overarching theme of the roadmap should be removing barriers to creating and managing tools, promoting FLOSS collaboration, and increasing stability by providing better isolation of processes. This process and resulting document will establish a shared vision of the future that can be used by Community-Tech-Tool-Labs, Toolforge, and the wider Wikimedia developer community to plan and coordinate smaller projects that work towards the long term goals.

See also:

Event Timeline

bd808 created this task.Apr 13 2016, 6:13 PM
Restricted Application added projects: Cloud-Services, User-bd808. · View Herald TranscriptApr 13 2016, 6:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
bd808 triaged this task as High priority.Apr 13 2016, 6:13 PM
bd808 moved this task from Backlog to Doing on the Community-Tech-Tool-Labs board.
bd808 moved this task from Triage to In Progress on the Toolforge board.May 25 2016, 4:35 PM
bd808 closed this task as Resolved.Jun 23 2016, 9:22 PM
bd808 moved this task from Doing to Done on the Community-Tech-Tool-Labs board.

The vision document on meta will be a living document for the foreseeable future, but the basic outline is complete and was improved by suggestions from the Wikimedia community.

bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Jun 23 2016, 9:25 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Jul 19 2016, 11:41 PM